<?php

/**
* Магазин эффектов
* @author AlexPriadko
* @package dk-game.ru
* @subpackage shop
* @version 0.01 alpha
* 22:21 21.04.15
*/

$title ='Магазин эффектов';
$load = array ();

include_once '../protected/sys.php';
if (!$user)
{
	header("Location:/");
	exit;
}



$buffsUser = $db->rows("SELECT `user` FROM `buffs` WHERE `user`=?",
												array($user['id']));
?>
<style>
	.button {
		background-color: rgba(18, 32, 39, 0.79);
		padding: 6px 6px 4px;
		margin: 6px;
		padding-bottom: 4px;
		text-decoration: none;
		border: 1px solid #000;
	}
</style>
<?php

if ($buffsUser == 0)
{
	$createBuff = $db->query("INSERT INTO `buffs` SET `user`=?",
													array($user['id']));

	header("Location:/shop/buffshop");
	exit;
}


$buffs = $db->fetch("SELECT * FROM `buffs` WHERE `user`=?",
							array($user['id']));

$all = array('Заклятие гладиатора','Заклятие ученого');
$costs = array (130/2,150/2);
$time = array(7200,(3600*12));
$img = array ('gladiator','know');
$descr = array ('Увеличивает очки получаемые на арене в 2 раза, при поражении очки не теряються',
				'Увеличивает опыт в боях в 2 раза.');


if (isset($_GET['buy']))
{
	$buy = (int) abs($_GET['buy']);

	$buys = $buy<1 ? 1 : $buy;

	if ($buy <0 OR $buy > 1)
	{
		header("Location:/");
		exit;
	}

	if ($user['gold'] < $costs[$buy])
	{
		$_SESSION['error'] = '<div class="menu">Не хватает золота!</div>';
		header("Location:/shop/buffshop");
		exit;
	}

	if ($buffs[$img[$buy].'_time'] > $config['time'])
	{
		$_SESSION['error'] ='<div class="menu">Дождитесь истечения предыдущего '.$all[$buy].'</div>';
		header("Location:/shop/buffshop");
		exit;
	}

	$upd = $db->query("UPDATE `users` SET `gold`=? WHERE `id`=?",
							array(($user['gold']-$costs[$buy]),$user['id']));

	$upd2 = $db->query("UPDATE `buffs` SET `".$img[$buy]."_time`=?,`".$img[$buy]."`=? WHERE `user`=?",
										array((time()+$time[$buy]),($buys),$user['id']));

	
$db->query("INSERT INTO `log` SET `user`=?,`type`=?,`text`=?,`time`=?",array($user['id'],"Эффекты","Применил эффект $all[$buy]" ,time()));


$_SESSION['info'] = 'Вы употребили применили '.$all[$buy];
	header("Location:/shop/buffshop");
	exit;
}

for ($i = 0; $i < 2; $i++)
{
	?>
	<div class ='menu'/>
		<center>
			<span class ='q4'>
				<?=$all[$i];?>
			</span>
		</center>
		<left>
			<img src ='/imgData/buff/<?=$img[$i];?>.png' width='30' height='30'/>
		</left>
		<center>
			<span class ='grey2'/>
				<?=$descr[$i];?>
			</span>
		</center>
		<center>
			<a class ='menu' href='?buy=<?=$i;?>'/> Активировать за  <?=$costs[$i];?><img src ='/imgData/static/gold.png'/> </a>
		<br/></center>
		Время действия: <?=($time[$i]/3600);?> часов.
	</div>
	<?
}



include_once '../protected/footermain.php';